org.keycloak.dom.saml.v2.ac.classes

## Class SharedSecretChallengeResponseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.SharedSecretChallengeResponseType

-     public class SharedSecretChallengeResponseType
      extends ExtensionListType

  This element indicates that the Principal has been authenticated by a challenge-response protocol utilizing shared secret keys and symmetric cryptography.

  Java class for SharedSecretChallengeResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SharedSecretChallengeResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="method" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `method`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedSecretChallengeResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMethod()` Gets the value of the method property.
    `void` | `setMethod(String value)` Sets the value of the method property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### method

          protected String method

  - ### Constructor Detail

    - #### SharedSecretChallengeResponseType

          public SharedSecretChallengeResponseType()

  - ### Method Detail

    - #### getMethod

          public String getMethod()

      Gets the value of the method property.
      Returns:
        possible object is `String`

    - #### setMethod

          public void setMethod(String value)

      Sets the value of the method property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.